GET /api/fleet/epm/packages/{pkgName}/{pkgVersion}/{filePath}

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/epm/packages/{pkgName}/{pkgVersion}/{filePath}

Refer to Spaces for more information.

Get the contents of a specific file from a package.

[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

Path parameters

  • pkgName string Required
  • pkgVersion string Required
  • filePath string Required

Responses

  • 200 application/json

    Successful response — returns the file content

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/epm/packages/{pkgName}/{pkgVersion}/{filePath}
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/epm/packages/{pkgName}/{pkgVersion}/{filePath}' \
 --header "Authorization: $API_KEY"
Response examples (200)
The content of the requested package file
<file content>
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}